from datetime import datetime, timedelta, timezone
import config
import os
from db_connet import *
from tools.zhdate import ZhDate

__directory__ = os.path.dirname(os.path.abspath(__file__))
__LogFileName__ = datetime.today().strftime("%Y%m%d")+'.txt'

def now():
    tz = timezone(timedelta(hours=+8))
    return datetime.now(tz).strftime("%Y-%m-%d %H:%M:%S")

def logTxt(msg):
    filename = f"{__directory__+'/logs/'+__LogFileName__}"
    f = open(filename, "a")
    f.write("{0} -- {1}\n".format(now(), msg))
    f.close()

sql = "SELECT count(1) FROM `order_list`"
print(select_db(sql,'lake'))
print(select_db(sql,'june1'))
print(select_db(sql,'baby'))